Package org.apache.uima.resource.impl

# Class PearSpecifier_impl

java.lang.Object
org.apache.uima.resource.metadata.impl.MetaDataObject_impl
org.apache.uima.resource.impl.PearSpecifier_impl

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `MetaDataObject`, `PearSpecifier`, `ResourceServiceSpecifier`, `ResourceSpecifier`, `XMLizable`

public class PearSpecifier_impl extends MetaDataObject_impl implements PearSpecifier
Reference implementation of `PearSpecifier`.

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

  `MetaDataObject_impl.MetaDataAttr, MetaDataObject_impl.SerialContext, MetaDataObject_impl.Serializer`

- ## Field Summary

  ### Fields inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

  `serialContext`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PearSpecifier_impl()`
  Creates a new `PearSpecifier_impl`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Parameter[]`
  `getParameters()`
  Deprecated.
  `NameValuePair[]`
  `getPearParameters()`
  Gets parameters that may be read by the pear resource class when it is initialized.
  `String`
  `getPearPath()`
  Retrieves the PEAR path at which the pear Resource is located.
  `protected XmlizationInfo`
  `getXmlizationInfo()`
  To be implemented by subclasses to return information describing how to represent this object in XML.
  `void`
  `setParameters(Parameter... parameters)`
  Deprecated.
  `void`
  `setPearParameters(NameValuePair... pearParameters)`
  Sets pearParameters that may be read by the pear resource class when it is initialized.
  `void`
  `setPearPath(String aPearPath)`
  Sets the PEAR path at which a Resource is located.

  ### Methods inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

  `buildFromXMLElement, buildFromXMLElement, clone, equals, getAdditionalAttributes, getAttributeClass, getAttributeValue, getInfoset, getMatchingNode, getPropertyDescriptors, getPropertyXmlInfo, getRelativePathBase, getSerialContext, getSourceUrl, getSourceUrlString, getWrapperClass, getXMLAttributes, hashCode, isModifiable, listAttributes, readArrayPropertyValueFromXMLElement, readMapPropertyFromXml, readPropertyValueFromXMLElement, readUnknownPropertyValueFromXMLElement, resolveSettings, setAttributeValue, setInfoset, setSourceUrl, setSourceUrlIfNull, toString, toXML, toXML, toXML, toXML, valueIsNullOrEmptyArray, writeArrayPropertyAsElement, writeMapPropertyToXml, writePropertyAsElement`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.uima.resource.metadata.MetaDataObject

  `clone, equals, getAttributeValue, getSourceUrl, getSourceUrlString, isModifiable, listAttributes, setAttributeValue, setSourceUrl`

  ### Methods inherited from interface org.apache.uima.util.XMLizable

  `buildFromXMLElement, buildFromXMLElement, toXML, toXML, toXML, toXML`

- ## Constructor Details

  - ### PearSpecifier_impl

    public PearSpecifier_impl()
    Creates a new `PearSpecifier_impl`.

- ## Method Details

  - ### getParameters

    @Deprecated public Parameter[] getParameters()
    Deprecated.
    Description copied from interface: `PearSpecifier`
    Gets legacy string-valued parameters that may be read by the pear resource class when it is initialized. These parameters are represented as follows in the PEAR specifier XML:

         <parameters>
           <parameter name="param1" value="val1"/>
         </parameters>

    Specified by:
      `getParameters` in interface `PearSpecifier`
    Returns:
      an array of parameters. This will never return `null`.

  - ### getPearParameters

    public NameValuePair[] getPearParameters()
    Description copied from interface: `PearSpecifier`
    Gets parameters that may be read by the pear resource class when it is initialized. These parameters are represented as follows in the PEAR specifier XML:

         <pearParameters>
           <nameValuePair>
            <name>param1</name>
            <value><string>val1</string></value>
           </nameValuePair>
         </pearParameters>

    Specified by:
      `getPearParameters` in interface `PearSpecifier`
    Returns:
      an array of pearParameters. This will never return `null`.

  - ### setParameters

    @Deprecated public void setParameters(Parameter... parameters)
    Deprecated.
    Description copied from interface: `PearSpecifier`
    Sets legacy string-valued parameters that may be read by the pear resource class when it is initialized.
    Specified by:
      `setParameters` in interface `PearSpecifier`
    Parameters:
      `parameters` - the Parameters to set.
    See Also:
      - `PearSpecifier.getParameters()`

  - ### setPearParameters

    public void setPearParameters(NameValuePair... pearParameters)
    Description copied from interface: `PearSpecifier`
    Sets pearParameters that may be read by the pear resource class when it is initialized.
    Specified by:
      `setPearParameters` in interface `PearSpecifier`
    Parameters:
      `pearParameters` - the pearParameters to set.
    See Also:
      - `PearSpecifier.getPearParameters()`

  - ### getPearPath

    public String getPearPath()
    Description copied from interface: `PearSpecifier`
    Retrieves the PEAR path at which the pear Resource is located.
    Specified by:
      `getPearPath` in interface `PearSpecifier`
    Returns:
      a string

  - ### setPearPath

    public void setPearPath(String aPearPath)
    Description copied from interface: `PearSpecifier`
    Sets the PEAR path at which a Resource is located.
    Specified by:
      `setPearPath` in interface `PearSpecifier`
    Parameters:
      `aPearPath` - a pear path string

  - ### getXmlizationInfo

    protected XmlizationInfo getXmlizationInfo()
    Description copied from class: `MetaDataObject_impl`
    To be implemented by subclasses to return information describing how to represent this object in XML.
    Specified by:
      `getXmlizationInfo` in class `MetaDataObject_impl`
    Returns:
      information defining this object's XML representation